package org.sakaiproject.lessonbuildertool.cc;

/***********
 * This code is based on a reference implementation done for the IMS Consortium.
 * The copyright notice for that implementation is included below. 
 * All modifications are covered by the following copyright notice.
 *
 * Copyright (c) 2011 Rutgers, the State University of New Jersey
 *
 * Licensed under the Educational Community License, Version 2.0 (the "License");                                                                
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.opensource.org/licenses/ECL-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**********************************************************************************
 * $URL: http://ims-dev.googlecode.com/svn/trunk/cc/IMS_CCParser_v1p0/src/main/java/org/imsglobal/cc/QTIHandler.java $
 * $Id: QTIHandler.java 227 2011-01-08 18:26:55Z drchuck $
 **********************************************************************************
 *
 * Copyright (c) 2010 IMS GLobal Learning Consortium
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * permissions and limitations under the License. 
 *
 **********************************************************************************/

import org.jdom.Element;

public interface QTIHandler {
  
  public void startQTIItem(String id, String title);
  
  public void setQTIItemXml(Element xmltext);

  public void setQTIItemPresentationXml(Element the_md);
  
  public void addQTIItemResponseProcessingXml(Element the_resp);
  
  public void addQTIItemFeedbackXml(Element the_feedback);
  
  public void endQTIItem();
  
  public void startQTIMetadata();
  
  public void addQTIMetadataXml(Element the_md);
  
  public void addQTIMetadataField(String label, String entry);
  
  public void endQTIMetadata();
  
  public void startQTIItemMetadata();
  
  public void setQTIItemMetadataXml(Element the_md);
  
  public void addQTIItemMetadataField(String label, String entry);
  
  public void endQTIItemMetadata();
  
}
